summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Duncan Roe2022-03-09 08:36:05 +0100
committer Willy Sudiarto Raharjo2022-03-09 12:47:02 +0100
commit425f779b3280ed416e6f3cdab7bef93c2d77f648 (patch)
tree2e2672ed918fa5a4d332281b4229e63f6e9fae3c /system
parent6c76d2ce98f04945f4f1546c968bee3440a86b2f (diff)
downloadslackbuilds-425f779b3280ed416e6f3cdab7bef93c2d77f648.tar.gz
system/Type1_to_OTF: Added for 15.0 (OTF fonts converted from Type1 fonts)
Signed-off-by: Duncan Roe <duncan_roe@optusnet.com.au> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/Type1_to_OTF/README11
-rw-r--r--system/Type1_to_OTF/Type1_to_OTF.SlackBuild69
-rw-r--r--system/Type1_to_OTF/Type1_to_OTF.info10
-rw-r--r--system/Type1_to_OTF/doinst.sh4
-rw-r--r--system/Type1_to_OTF/slack-desc19
5 files changed, 113 insertions, 0 deletions
diff --git a/system/Type1_to_OTF/README b/system/Type1_to_OTF/README
new file mode 100644
index 0000000000..cbaecd274d
--- /dev/null
+++ b/system/Type1_to_OTF/README
@@ -0,0 +1,11 @@
+Type1_to_OTF converts most of the Type1 (Postscript) fonts in
+/usr/share/fonts/Type1 to OTF fonts in /usr/share/fonts/OTF.
+
+Libreoffice 5.3 no longer supports Type1 fonts. This SlackBuild will
+convert a number of popular Type1 fonts (including Bitstream Charter and
+Courier) to OTF, so that they are compatible with Libreoffice 5.3.
+
+The only fonts not converted are ones that Libreoffice can't render
+(e.g. dingbats), or that Libreoffice already offers (e.g. luxi mono).
+Some italic variants are not converted, but Libreoffice can synthesize
+and display them anyway.
diff --git a/system/Type1_to_OTF/Type1_to_OTF.SlackBuild b/system/Type1_to_OTF/Type1_to_OTF.SlackBuild
new file mode 100644
index 0000000000..5e60324e7d
--- /dev/null
+++ b/system/Type1_to_OTF/Type1_to_OTF.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/bash
+# Slackware build script for Type1_to_OTF
+
+# Copyright 2017 Duncan Roe, Melbourne, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=Type1_to_OTF
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+cp /usr/share/fonts/Type1/*.pf{a,b} .
+./makeotf.sh
+mkdir -p $PKG/usr/share/fonts/OTF
+mv *.otf $PKG/usr/share/fonts/OTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/Type1_to_OTF/Type1_to_OTF.info b/system/Type1_to_OTF/Type1_to_OTF.info
new file mode 100644
index 0000000000..4e9c6dec9e
--- /dev/null
+++ b/system/Type1_to_OTF/Type1_to_OTF.info
@@ -0,0 +1,10 @@
+PRGNAM="Type1_to_OTF"
+VERSION="1.0"
+HOMEPAGE="https://github.com/duncan-roe/Type1_to_OTF"
+DOWNLOAD="https://github.com/duncan-roe/Type1_to_OTF/archive/v1.0/Type1_to_OTF-1.0.tar.gz"
+MD5SUM="33708ff7ff9342f4308c104e4f8ee342"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="afdko pytz python-unicodedata2 python-fonttools tqdm python3-MutatorMath python3-booleanOperations python3-defcon python3-fontMath python3-fontParts python3-fontPens python3-fs python3-psautohint python3-pyclipper python3-ufoProcessor python3-ufonormalizer python3-zopfli"
+MAINTAINER="Duncan Roe"
+EMAIL="duncan_roe@optusnet.com.au"
diff --git a/system/Type1_to_OTF/doinst.sh b/system/Type1_to_OTF/doinst.sh
new file mode 100644
index 0000000000..0dd68d2d88
--- /dev/null
+++ b/system/Type1_to_OTF/doinst.sh
@@ -0,0 +1,4 @@
+cd usr/share/fonts/OTF
+mkfontscale
+mkfontdir
+fc-cache -f
diff --git a/system/Type1_to_OTF/slack-desc b/system/Type1_to_OTF/slack-desc
new file mode 100644
index 0000000000..6a03e66754
--- /dev/null
+++ b/system/Type1_to_OTF/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Type1_to_OTF: Type1_to_OTF (OTF fonts converted from Type1 fonts)
+Type1_to_OTF:
+Type1_to_OTF: The Type1_to_OTF SlackBuild converts most of the Type1 (Postscript)
+Type1_to_OTF: fonts in /usr/share/fonts/Type1 to OTF fonts in /usr/share/fonts/OTF.
+Type1_to_OTF:
+Type1_to_OTF: Libreoffice 5.3 no longer supports Type1 fonts. This package contains
+Type1_to_OTF: a number of popular fonts (including Bitstream Charter and Courier)
+Type1_to_OTF: converted to OTF, so that they are compatible with Libreoffice 5.3.
+Type1_to_OTF: See README for details.
+Type1_to_OTF:
+Type1_to_OTF: